<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@19400C=99</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter>
      <item value="0x08">Stage 1</item>
      <item value="0x0C">Stage 2</item>
      <item value="0x10">Stage 3</item>
      <item value="0x14">Stage 4</item>
      <item value="0x00">Stage 5</item>
      <item value="0x04">Stage 6</item>
      <item value="0x18">Stage 7</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@194107==08)">maincpu.pb@194107=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pd@195530=00999999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@19551B=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pd@195730=00999999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@19571B=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
